//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file as well as the entire HPG library was written by Chris Smith
//& for HPGCC 1.0, now maintained by the HPGCC3 team.
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



#include "hpgraphics.h"
#include "hpgpriv.h"

void hpg_clip_set(hpg_t *g, int x1, int y1, int x2, int y2)
{
    hpg_init();

    if(g==NULL) g=HPG_STDSCREEN;
    
    if (x1 < 0) x1 = 0;
    if (y1 < 0) y1 = 0;
    if (x2 >= g->width) x2 = g->width - 1;
    if (y2 >= g->height) y2 = g->height - 1;

    g->clipx1 = x1;
    g->clipy1 = y1;
    g->clipx2 = x2;
    g->clipy2 = y2;
}
