//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***




#include <hpgcc3.h>


// CONVERT A BASE-10 EXTENDED REAL INTO BASE-2

void xr_base2(XREAL *base10,XREAL *res)
{
XREAL temp,x10;

if(base10->Mant==0LL) {
// RETURN ZERO
res->Mant=0;
res->Exp=-63;
res->Sign=0;
return;
}

temp.Mant=base10->Mant;
temp.Sign=base10->Sign;
temp.Exp=0;

xr_10pow(abs(base10->Exp),&x10);

// LEFT-JUSTIFY MANTISSA
while(!(temp.Mant&0x8000000000000000LL)) {
	temp.Mant<<=1;
	temp.Exp--;
}


if(base10->Exp>=0) xr_mul(&temp,&x10,res);
else xr_div(&temp,&x10,res);

return;
}
