//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***

// $Header: fschmod.c,r42 2006-02-18 04:23:47 ingo $


#include "fsyspriv.h"





int FSChMode(FS_FILE *file,int newmode)
{
int error;

if(!FSystem.Init) return FS_ERROR;

if(file==NULL) return FS_ERROR;

if(file->Volume&(~3)) return FS_ERROR;		// INVALID VOLUME --> FILE STRUCTURE CORRUPT


if(newmode& (FSMODE_APPEND | FSMODE_MODIFY)) newmode|=FSMODE_WRITE;

if( (file->Mode&FSMODE_WRITE) && (! (newmode&FSMODE_WRITE))) {

// FINISH WRITING SESSION AND GO READ-ONLY
error=FSFlushBuffers(file);
if(error!=FS_OK) { return error; }

}

if( (file->Attr&FSATTR_RDONLY) && (newmode&FSMODE_WRITE)) {
return FS_CANTWRITE;
}
file->Mode=newmode;

return FS_OK;
}

