//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***


// REPLACED BY CLAUDIO - FASTER VERSION
/*
void * memset (char * dest, int C, int LENGTH)
{
      while (LENGTH--)
         *dest++ = C;
    return(dest);
}
*/

// ROMLIB CHECKED

void *memset(const void *_dest,int value, int nbytes)
{
    char *destc = (char *) _dest;

    int val2=value&0xff;
    val2|= (val2<<8) | (val2<<16) | (val2<<24);
    while(nbytes>0 && (((int)destc)&3)) {
        *destc = value;
        ++destc;
        nbytes--;
    }

    int *desti = (int *) destc;

    while(nbytes>=4) {
        *desti = val2;
        ++desti;
        nbytes-=4;
    }

    destc = (char *) desti;

    while(nbytes) {
        *destc=value;
        ++destc;
        nbytes--;
    }
    return (void *) destc;
}
